#include<iostream>

using namespace std;

struct parovi{
int prvi,drugi;
};
int prijatelji(int A[],int prvi,int drugi){
return A[prvi-1]+A[drugi-1];
}
int nepriajtelji(int A[],int prvi,int drugi){
return -(A[prvi-1]+A[drugi-1]);
}

int main(){
int N, M, A[100000];
int makssuma=0;
int x,y;
cin>>N>>M;
for(int i=0;i<N;i++)
    cin>>A[i];
for(int f=0;f<M;f++){
    cin>>x>>y;
    makssuma+=max(prijatelji(A,x,y),nepriajtelji(A,x,y));

}
cout<<makssuma;
return 0;
}